%define texmf	/usr/share/texmf
%define advi	tex/latex/advi
Release: 1.PU_IAS.2
Version: 1.4.0
Name: advi
Summary: Active-DVI Presenter
Source: ftp://ftp.inria.fr/INRIA/Projects/cristal/advi/%{name}-%{version}.tar.gz
Patch: %{name}-%{version}.PU_IAS.patch
Group: Applications/Publishing
URL: http://pauillac.inria.fr/advi/
Copyright: LGPL
Packager: <Jun.Furuse@inria.fr>
Provides: advi
BuildRequires: ocaml
Requires: ocaml tetex
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description 
Active-DVI is a presentation graphics program to provide the highest
quality slides presentation experience to LaTeX users.

%prep

%setup -q
%patch -p1

%build
./configure --prefix=%{_prefix}
make all
cd doc
make all

%install
mkdir -p %buildroot/%{_prefix}/bin
%makeinstall

%post
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%clean
make clean

%files
%defattr(-,root,root)
%doc COPYING README TODO doc/*.dvi doc/*.pdf doc/*.ps doc/*.html doc/*.jpg doc/*.gif doc/style.css
%dir %texmf/%advi
%{_prefix}/bin/advi
%texmf/%advi/jpfonts.conf
%texmf/%advi/advilogo.eps
%texmf/%advi/bar.jpg.eps
%texmf/%advi/caml.eps
%texmf/%advi/advi.sty
%texmf/%advi/advi-annot.sty
%texmf/%advi/advi-graphicx.sty
%texmf/%advi/advi-slides.sty
%texmf/%advi/argv.sty
%texmf/%advi/bubble.sty
%texmf/%advi/splash.dvi
%texmf/%advi/superpose.sty
%texmf/%advi/xcolor.sty
%texmf/%advi/advi.pro

%changelog
* Thu Aug 26 2004 Josko Plazonic <plazonic@math.princeton.edu>
- fix post and postun scripts and require tetex so that it 
  gets installed after tetex

* Mon Feb 04 2002 <Jun.Furuse@inria.fr>

Packaged in a rpm. Here is the modus operandi:
cd /usr/src/redhat/SPECS/
cp advi.spec ./
rpm -ba --clean advi.spec
